CREAT(3)

NAME
creat - create a new file

SYNOPSIS
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
int
creat(const char *path, mode_t mode);

DESCRIPTION
This interface is made obsolete by: open(2).

creat() is the same as:

    open(path, O_CREAT | O_TRUNC | O_WRONLY, mode);

SEE ALSO
open(2)

STANDARDS
The creat() function call conforms to p1003.1-90.

HISTORY
The creat() function call appeared in AT&T UNIX.